#!/bin/bash
# shuts the system down and displays a nice message
# $Id$

if [[ -x $(which Xdialog) ]]
then
	Xdialog \
		--title "Shutdown" \
		--no-buttons \
		--infobox "System shutdown in progress ..." 6 34 5000 \
		& sudo /sbin/poweroff
elif [[ -x $(which xmessage) ]]
then
	msg="
  System shutdown in progress ...  

"
	xmessage -center -title "Shutdown" -buttons "" "${msg}" \
	& sudo /sbin/poweroff
else
	sudo /sbin/poweroff
fi
